## LassoDstModification LassoDstModification — <dst:Modification> |

## Functions

LassoDstModification * | lasso_dst_modification_new ()

## Types and Values

struct | LassoDstModification

## Description

Figure 118. Schema fragment for dst:Modification

    <xs:element name="Modification" maxOccurs="unbounded">
    <xs:complexType>
        <xs:sequence>
            <xs:element name="Select" type="SelectType"/>
            <xs:element name="NewData" minOccurs="0">
                <xs:complexType>
                    <xs:sequence>
                        <xs:any minOccurs="0" maxOccurs="unbounded"/>
                    </xs:sequence>
                </xs:complexType>
            </xs:element>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID"/>
        <xs:attribute name="notChangedSince" type="xs:dateTime"/>
        <xs:attribute name="overrideAllowed" type="xs:boolean" default="0"/>
    </xs:complexType>
    </xs:element>

## Functions

### lasso_dst_modification_new ()

    LassoDstModification *
    lasso_dst_modification_new (const char *select);

## Types and Values

### struct LassoDstModification

    struct LassoDstModification {
    	LassoNode parent;

    	char *Select;
    	LassoDstNewData *NewData;

    	char *id;
    	char *notChangedSince;
    	gboolean overrideAllowed;
    };